<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Register</ion-title>
  </ion-toolbar>
</ion-header>
<ion-content>
  <form>    
    <ion-item lines="full">
      <ion-label position="floating">User Name</ion-label>
      <ion-input type="text" #userName required></ion-input>
    </ion-item>
    <ion-item lines="full">
      <ion-label position="floating">Email</ion-label>
      <ion-input type="text" #email required></ion-input>
    </ion-item>
    <ion-item lines="full">
      <ion-label position="floating">Password</ion-label>
      <ion-input type="password" #password required></ion-input>
    </ion-item>
    <ion-row>
      <ion-col> 
      <ion-button type="submit" (click)="signUp(userName, email, password)" expand="block">Register</ion-button>
      </ion-col>
    </ion-row>
  </form>
  <ion-row>
    <div class="ion-padding-start ion-padding-top">
      If you have already an account, please <a routerLink='/login'>
        LogIn</a>!
    </div>
  </ion-row>
</ion-content>